// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface SegmentNodeOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.SegmentNode)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
   * @return The enum numeric value on the wire for type.
   */
  int getTypeValue();
  /**
   * <code>.dsepractice.chinese.v1alpha1.SegmentNodeType type = 1 [json_name = "type"];</code>
   * @return The type.
   */
  gg.dsepractice.chinese.v1alpha1.SegmentNodeType getType();

  /**
   * <code>string content = 2 [json_name = "content"];</code>
   * @return The content.
   */
  java.lang.String getContent();
  /**
   * <code>string content = 2 [json_name = "content"];</code>
   * @return The bytes for content.
   */
  com.google.protobuf.ByteString
      getContentBytes();
}
